IntlCalendar::getType
IntlCalendar::inDaylightTime
IntlCalendar
PHP Manual

# IntlCalendar::getWeekendTransition

Get time of the day at which weekend begins or ends

### Description

public int IntlCalendar::getWeekendTransition ( string `$dayOfWeek` )

Returns the number of milliseconds after midnight at which the weekend begins or ends.

This is only applicable for days of the week for which IntlCalendar::getDayOfWeekType returns either `IntlCalendar::DOW_TYPE_WEEKEND_OFFSET` or `IntlCalendar::DOW_TYPE_WEEKEND_CEASE`. Calling this function for other days of the week is an error condition.

### Parameters

`dayOfWeek`

  One of the constants `IntlCalendar::DOW_SUNDAY`, `IntlCalendar::DOW_MONDAY`, …, `IntlCalendar::DOW_SATURDAY`.

### Return Values

The number of milliseconds into the day at which the the weekend begins or ends or `FALSE` on failure.

### Examples

See example on IntlCalendar::getDayOfWeekType.